if [ -x /usr/bin/update-desktop-database ]; then
  /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
fi

if [ -x /usr/bin/update-mime-database ]; then
  /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
  fi
fi
( cd usr/bin ; rm -rf wxformbuilder )
( cd usr/bin ; ln -sf ../../opt/wxFormBuilder/bin/wxformbuilder wxformbuilder )
( cd usr/share/applications ; rm -rf org.wxformbuilder.wxFormBuilder.desktop )
( cd usr/share/applications ; ln -sf ../../../opt/wxFormBuilder/share/applications/org.wxformbuilder.wxFormBuilder.desktop org.wxformbuilder.wxFormBuilder.desktop )
( cd usr/share/pixmaps ; rm -rf org.wxformbuilder.wxFormBuilder.png )
( cd usr/share/pixmaps ; ln -sf ../../../opt/wxFormBuilder/share/icons/hicolor/48x48/apps/org.wxformbuilder.wxFormBuilder.png org.wxformbuilder.wxFormBuilder.png )
